## libvirt 11.2.0

=== debian/changelog ===
libvirt (11.2.0-2) unstable; urgency=medium

  * [d984f9c] control: Overhaul package descriptions
  * [0360fd6] patches: Add backport/cpu_map-Install-Ampere-1-[...]
    - Closes: #1102133

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 08 Apr 2025 11:57:53 +0200

libvirt (11.2.0-1) unstable; urgency=medium

  * [56cf4c6] New upstream version 11.2.0
  * [a5b5314] control: Bump Standards-Version to 4.7.2
    - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 04 Apr 2025 22:09:21 +0200

=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Andrea Bolognani <eof@kiyuko.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-apparmor [linux-any],
 augeas-tools [linux-any],
 bash-completion,
 kmod [linux-any],
 libacl1-dev [linux-any],
 libapparmor-dev (>= 3.0.0) [linux-any],
 libattr1-dev [linux-any],
 libaudit-dev [linux-any],
 libblkid-dev [linux-any],
 libbsd-dev,
 libc-dev (>= 2.31-14~),
 libcap-ng-dev [linux-any],
 libcurl4-gnutls-dev [linux-any],
 libdevmapper-dev [linux-any],
 libfuse3-dev [linux-any],
 libglib2.0-dev,
 libglusterfs-dev [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 libgnutls28-dev,
 libiscsi-dev [linux-any],
 libjson-c-dev [linux-any],
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libnuma-dev [linux-any],
 libparted-dev [linux-any],
 libpcap0.8-dev [linux-any],
 libpciaccess-dev [linux-any],
 librados-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 librbd-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libreadline-dev,
 libsanlock-dev [linux-any],
 libsasl2-dev,
 libselinux1-dev [linux-any],
 libssh-dev,
 libssh2-1-dev,
 libtasn1-6-dev,
 libtirpc-dev,
 libudev-dev [linux-any],
 libwireshark-dev [linux-any],
 libxen-dev [amd64 arm64],
 libxml2-dev,
 libxml2-utils,
 lvm2 [linux-any],
 meson,
 mount [linux-any],
 numad:native [linux-any],
 open-iscsi [linux-any],
 po-debconf,
 python3-docutils,
 python3:native,
 qemu-utils [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 systemtap-sdt-dev [linux-any],
 xsltproc,
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
Homepage: https://libvirt.org/
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: libvirt-clients
Section: admin
Architecture: any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 libxml2-utils,
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libvirt-clients-qemu (= ${source:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libvirt-daemon (= ${binary:Version}) [linux-any],
 libvirt-login-shell (= ${binary:Version}) [linux-any],
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-driver-qemu (<< 6.9.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
Description: virtualization library - clients
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains virsh, a command line tool that can be used to
 control the libvirt daemon, as well as a few additional utilities.
 .
 Note that libvirt is fully network aware, meaning that it's possible to use
 the clients installed on the local machine to control a remote hypervisor
 host.

Package: libvirt-clients-qemu
Section: admin
Architecture: all
Depends:
 libvirt-common (<< ${source:Version}.1~),
 libvirt-common (>= ${source:Version}),
 libvirt0 (<< ${source:Version}.1~),
 libvirt0 (>= ${source:Version}),
 python3-cryptography,
 python3-libvirt,
 python3-lxml,
 python3:any,
 ${misc:Depends},
Description: virtualization library - clients (QEMU specific)
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains a number of clients that are specifically for use with
 the QEMU connection driver, e.g. a proxy for the QMP protocol.

Package: libvirt-daemon
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt-daemon-common (= ${binary:Version}),
 libvirt-daemon-log (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libvirt-daemon-driver-interface (= ${binary:Version}),
 libvirt-daemon-driver-network (= ${binary:Version}),
 libvirt-daemon-driver-nodedev (= ${binary:Version}),
 libvirt-daemon-driver-nwfilter (= ${binary:Version}),
 libvirt-daemon-driver-qemu (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libvirt-daemon-driver-secret (= ${binary:Version}),
 libvirt-daemon-driver-storage (= ${binary:Version}),
 libvirt-daemon-driver-storage-disk (= ${binary:Version}),
 libvirt-daemon-driver-storage-iscsi (= ${binary:Version}),
 libvirt-daemon-driver-storage-logical (= ${binary:Version}),
 libvirt-daemon-driver-storage-mpath (= ${binary:Version}),
 libvirt-daemon-driver-storage-scsi (= ${binary:Version}),
 libvirt-daemon-lock (= ${binary:Version}),
 libvirt-daemon-plugin-lockd (= ${binary:Version}),
Suggests:
 libvirt-daemon-driver-lxc (= ${binary:Version}) [linux-any],
 libvirt-daemon-driver-storage-gluster (= ${binary:Version}) [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
 libvirt-daemon-driver-storage-rbd (= ${binary:Version}) [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
 libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
 libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64],
 libvirt-daemon-system (= ${binary:Version}),
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-driver-lxc (<< 6.9.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
 libvirt-sanlock (<< 6.9.0-2~),
Replaces:
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: virtualization daemon
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains the libvirtd daemon, which needs to run on the
 hypervisor host.
 .
 Note that the daemon doesn't do anything useful on its own: connection
 drivers (e.g. libvirt-daemon-driver-qemu) have to be installed to give it
 the ability to create domains using various virtualization technologies,
 while secondary drivers (e.g. libvirt-daemon-driver-network) make it
 capable of managing other related resources.
Homepage: https://libvirt.org/daemons.html#monolithic-driver-daemon

Package: libvirt-daemon-common
Section: admin
Architecture: linux-any
Depends:
 adduser,
 dmidecode [amd64 arm64 armhf i386 riscv64 loong64 x32],
 gettext-base,
 iproute2,
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 polkitd (>= 121+compat0.1-2),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 netcat-openbsd,
Suggests:
 apparmor,
 auditd,
 systemtap,
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-clients (<< 10.6.0-2~),
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Replaces:
 libvirt-clients (<< 10.6.0-2~),
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: virtualization daemon - common files
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains data files needed by the various libvirt daemons.

Package: libvirt-daemon-log
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: virtualization daemon - logging daemon
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains the virtlogd daemon, which handles logging.
Homepage: https://libvirt.org/daemons.html#logging-daemon

Package: libvirt-daemon-lock
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-daemon (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 10.6.0-2~),
Description: virtualization daemon - locking daemon
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains the virtlockd daemon, which handles storage locking.
Homepage: https://libvirt.org/daemons.html#locking-daemon

Package: libvirt-daemon-driver-qemu
Section: admin
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Multi-Arch: no
Depends:
 adduser,
 libvirt-common (= ${binary:Version}),
 libvirt-daemon-log (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 qemu-kvm | qemu-system,
 systemd-container | sysvinit-core,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 passt,
 swtpm,
 swtpm-tools,
Suggests:
 numad,
Enhances:
 qemu-kvm,
 qemu-system,
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Replaces:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Description: virtualization daemon - QEMU connection driver
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains the QEMU connection driver.
Homepage: https://libvirt.org/drvqemu.html

Package: libvirt-daemon-driver-lxc
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt-daemon (= ${binary:Version}),
 libvirt-daemon-driver-network (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 systemd-container | sysvinit-core,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Description: virtualization daemon - LXC connection driver
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization

## libvirt 11.3.0

=== debian/changelog ===
libvirt (11.3.0-3+deb13u1) trixie; urgency=medium

  * [6a549fc] patches: Add backports
    - backport/tlscert-Don-t-force-keyEncipherment[...]
    - backport/tls-Don-t-require-keyEncipherment-[...]
    - backport/tests-[...]-Drop-use-of-GNUTLS_KEY_KEY_ENCIPHERM[...]
      - Removes the requirement to have keyEncipherment enabled
        for TLS certificates
      - Closes: #1110816
  * [8b355a8] patches: Add backports
    - backport/daemon-Drop-log-level-of-VIR_ERR_NO_SUPPORT-[...]
      - Prevents journal spam when using the LXC driver
      - Closes: #1110963
  * [f5079ab] patches: Add backports
    - backport/qemu-capabilities-Check-if-cpuModels-is-not-NULL-[...]
      - Fixes a daemon crash that occurs when probing capabilities
        for a QEMU binary that doesn't report information about
        CPU models
      - Closes: #1112481

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 02 Nov 2025 16:54:31 +0100

libvirt (11.3.0-3) unstable; urgency=medium

  * [d10b70f] patches: Add backports
    - backport/qemu-Be-more-forgiving-when-acquiring-QUERY-job-[...]

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 02 Jul 2025 22:15:28 +0200

libvirt (11.3.0-2) unstable; urgency=medium

  * [eb4a97a] patches: Add backports
    - backport/[...]-Don-t-setup-qemu-for-inco.patch
      - Closes: #1104735

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 01 Jun 2025 16:39:44 +0200

libvirt (11.3.0-1) unstable; urgency=medium

  * [228f666] New upstream version 11.3.0

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 02 May 2025 22:25:28 +0200

libvirt (11.2.0-3) experimental; urgency=medium

  * [0b16592] control: Introduce ARCHES_WIRESHARK
    - Don't build the Wireskark dissector on m68k or x32
  * [07012be] patches: Add debian/Drop-inter-package-Also-lines-[...]
    - Work around a limitation in deb-systemd-helper
    - Closes: #1082939
  * [c192aea] daemon-system: Only build on ARCHES_QEMU
    - It depends on the QEMU driver

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 22 Apr 2025 22:27:04 +0200

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
  libtasn1-6-dev,
  libtirpc-dev,
  libudev-dev [linux-any],
- libwireshark-dev [linux-any],
+ libwireshark-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64],
  libxen-dev [amd64 arm64],
  libxml2-dev,
  libxml2-utils,
@@ -332,5 +332,3 @@
 Description: virtualization daemon - LXC connection driver
  libvirt exposes a long-term stable API that can be used to interact with
  various hypervisors. Its architecture is highly modular, with most features
- implemented as optional drivers. It can be used from C as well as several
- other programming languages, and it forms the basis of virtualization

=== debian/tests/control ===
Tests:
 smoke,
Depends:
 libvirt-clients,
Restrictions:
 allow-stderr,

Tests:
 smoke-qemu-session,
Depends:
 libvirt-clients,
 libvirt-daemon,
 libxml2-utils,
 qemu-kvm,
 qemu-system,
Restrictions:
 allow-stderr,
 isolation-container,
 skip-not-installable,
 skippable,

Tests:
 smoke-lxc,
Depends:
 libvirt-clients,
 libvirt-daemon-driver-lxc,
 libvirt-daemon-system,
 libxml2-utils,
Restrictions:
 allow-stderr,
 isolation-machine,
 needs-root,

Tests:
 build-test,
Depends:
 build-essential,
 libvirt-dev,
 pkg-config,
Restrictions:
 allow-stderr,

## libvirt 11.4.0

=== debian/changelog ===
libvirt (11.4.0-1ubuntu2) questing; urgency=medium

  * d/l-d-config-network.postinst: clear 'autostarted' state, to activate
    network on install (LP: #2093864)
  * Drop Changes: [Replaced by the above]
    - Start default network on install (LP 2093864)
      + d/l-d-config-network.postinst: add explicit virsh net-start workaround
      + d/control: add libvirt-clients Recommends to l-d-config-network
      + d/l-d-config-network.dirs: add var/libvirt/dnsmasq to store lease files
        to avoid a warning on install

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 25 Jun 2025 11:02:02 +0200

libvirt (11.4.0-1ubuntu1) questing; urgency=medium

  [ Christian Ehrhardt ]
  * Merge with Debian experimental (LP: #2110424)
  * Among many other imrpovements this fixes
    - ppc64: P11 Support in Libvirt (LP: #2109469)
    - s390x: KVM: Implement virsh hypervisor-cpu-models (LP: #2027925)
  * Remaining changes:
    - d/p/u-aa/lp2079869-*: allow access for bridge helper to sys node
      (LP 2079869)
    - d/*(post|pre)(rm|inst), d/*.install: drop generated files
    - Disable libssh2 support (universe dependency)
    - d/control: add libzfslinux-dev to build-deps
    - debian/patches/ubuntu/ovmf_paths.patch: adjust paths to secboot.fd UEFI
      Secure Boot enabled variants of the OVMF firmware and variable store for
      the paths where we ship these files in Ubuntu.
    - Set qemu-group to kvm (for compat with older ubuntu)
    - Additional apport package-hook
    - Autostart default bridged network (As upstream does, but not Debian).
      In addition to just enabling it our solution provides:
      + do not autostart if subnet is already taken (e.g. in guests).
      + iterate some alternative subnets before giving up
    - d/p/ubuntu/Allow-libvirt-group-to-access-the-socket.patch: This is
      the group based access to libvirt functions as it was used in Ubuntu
      for quite a long time.
      + d/p/ubuntu/daemon-augeas-fix-expected.patch fix some related tests
        due to the group access change.
      + d/libvirt-daemon-driver-qemu.postinst*: add users in sudo to the libvirt
        group.
    - Update README.Debian with Ubuntu changes
    - d/p/ubuntu/ubuntu_machine_type.patch: accept ubuntu types as pci440fx
    - fix autopkgtests (LP 1899180)
      + d/t/control, d/t/smoke-qemu-session: fixup smoke-qemu-session by making
        vmlinuz available and accessible (Debian bug 848314)
      + d/t/control: fix smoke-qemu-session by ensuring the service will run
        installing libvirt-daemon-system
      + d/t/smoke-lxc: fix smoke-lxc by ignoring potential issues on destroy as
        long as the following undefine succeeds
      + d/t/smoke-lxc: use systemd instead of sysV to restart the service
      + d/t/control, d/t/smoke-lxc: retry service restart and skip test if
        failing; This was flaky on some release/architectures
      + d/t/smoke-lxc: retry check_domain being flaky on arm64
    - dnsmasq related enhancements
      + run dnsmasq as libvirt-dnsmasq (LP 1743718)
      + d/libvirt-daemon-driver-qemu.postinst*: add libvirt-dnsmasq user
        and group
      + d/libvirt-daemon-driver-qemu.postrm*: remove libvirt-dnsmasq user
        and group
        on purge
      + d/p/ubuntu/dnsmasq-as-priv-user: write dnsmasq config with user
        libvirt-dnsmasq and adapt the self tests to expect that config
      + d/libvirt-daemon-system.postinst: fix old libvirt-dnsmasq users group
      + Add dnsmasq configuration to work with system wide dnsmasq-base
    - d/p/ubuntu/set-default-machine-to-ubuntu.patch: to select default
      machine type correctly with newer qemu/libvirt
    - d/p/ubuntu/lp-1861125-ubuntu-models: recognize Ubuntu models for
      (LP 1861125) fixups
    - d/p/ubuntu/wait-for-qemu-kvm.patch - avoid hangs on startup (LP 1887592)
    - d/libvirt-daemon-common.libvirt-guests.default: shut guests down
      in parallel
    - Apparmor Delta that is Ubuntu specific or yet to be upstreamed
      split into logical pieces. File names in debian/patches/ubuntu-aa/:
      + 0020-virt-aa-helper-ubuntu-storage-paths.patch:
        apparmor, virt-aa-helper: Allow various storage pools and image
        locations
      + 0029-appmor-libvirt-qemu-Add-9p-support.patch: appmor,
        libvirt-qemu: Add 9p support
      + 0031-virt-aa-helper-Ask-for-no-deny-rule-for-readonly-dis.patch:
        virt-aa-helper: Ask for no deny rule for readonly disk
      + 0032-apparmor-libvirt-qemu-Allow-reading-charm-specific-c.patch:
        apparmor, libvirt-qemu: Allow reading charm-specific ceph config
      + 0033-UBUNTU-only-apparmor-for-kvm.powerpc-LP-1680384.patch: allow
        commands executed by ubuntu only kvm wrapper on ppc64el
        (LP 1686621 LP 1680384 LP 1784023)
      + 0034-apparmor-virt-aa-helper-access-for-snapped-nova.patch:
        apparmor, virt-aa-helper: access for snapped nova
      + lp-1815910-allow-vhost-hotplug.patch: avoid apparmor issues
        with vhost-net/vhost-vsock/vhost-scsi hotplug (LP 1815910)
    - libvirt should not use user/group tss for swtpm (LP 1948880)
      + d/libvirt-daemon-system.postinst: own swtpm logdir by user swtpm
      + d/p/u/swtpm-by-swtpm-user.patch: change default spawned swtpm processes
        to user swtpm and adapt expected self test result changes triggered by
        this
      + d/libvirt-daemon-system.postinst: create user/group swtpm if not present
        due to swtpm-tools (LP 1951975)
    - d/libvirt-clients.lintian-overrides: Add script-not-executable lintian
      override
    - libvirt-uri.sh, d/rules: Automatically switch default libvirt URI
      for users via user profile (qemu:///system)
      + Update: Set LIBVIRT_DEFAULT_URI to "qemu:///system" in all
        cases. (LP #2027838)
    - d/control: Demote passt to Suggests (from Recommends) for
      libvirt-daemon-driver-qemu, because passt is in universe.
    - d/control: Make libvirt-daemon Suggest (instead of Recommend)


## libvirt 11.5.0

=== debian/changelog ===
libvirt (11.5.0-1) experimental; urgency=medium

  * [0ae9dd8] New upstream version 11.5.0

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 02 Jul 2025 21:22:39 +0200

## libvirt 11.6.0

=== meson_options.txt ===
option('no_git', type: 'boolean', value: false, description: 'Disable git submodule update')
option('packager', type: 'string', value: '', description: 'Extra packager name')
option('packager_version', type: 'string', value: '', description: 'Extra packager version')
option('system', type: 'boolean', value: false, description: 'Set install paths to system ones')
option('runstatedir', type: 'string', value: '', description: 'State directory for temporary sockets, pid files, etc')
option('initconfdir', type: 'string', value: '', description: 'directory for init script configuration files')
option('unitdir', type: 'string', value: '', description: 'directory for systemd unit files')
option('sysusersdir', type: 'string', value: '', description: 'directory for sysusers files')
# dep:tests
option('expensive_tests', type: 'feature', value: 'auto', description: 'set the default for enabling expensive tests (long timeouts)')
option('test_coverage', type: 'boolean', value: false, description: 'turn on code coverage instrumentation')
option('git_werror', type: 'feature', value: 'auto', description: 'use -Werror if building from GIT')
option('rpath', type: 'feature', value: 'auto', description: 'whether to include rpath information in installed binaries and libraries')
option('docdir', type: 'string', value: '', description: 'documentation installation directory')
option('docs', type: 'feature', value: 'auto', description: 'whether to generate documentation')
option('tests', type: 'feature', value: 'auto', description: 'whether to build and run tests')


# build dependencies options
option('apparmor', type: 'feature', value: 'auto', description: 'apparmor support')
option('attr', type: 'feature', value: 'auto', description: 'attr support')
option('audit', type: 'feature', value: 'auto', description: 'audit support')
# dep:readline
option('bash_completion', type: 'feature', value: 'auto', description: 'bash-completion support')
option('bash_completion_dir', type: 'string', value: '', description: 'directory containing bash completion scripts')
option('blkid', type: 'feature', value: 'auto', description: 'blkid support')
option('capng', type: 'feature', value: 'auto', description: 'cap-ng support')
option('curl', type: 'feature', value: 'auto', description: 'curl support')
option('fuse', type: 'feature', value: 'auto', description: 'fuse support')
option('glusterfs', type: 'feature', value: 'auto', description: 'glusterfs support')
option('json_c', type: 'feature', value: 'auto', description: 'JSON-C support')
option('libiscsi', type: 'feature', value: 'auto', description: 'libiscsi support')
option('libnl', type: 'feature', value: 'auto', description: 'libnl support')
option('libpcap', type: 'feature', value: 'auto', description: 'libpcap support')
option('libssh', type: 'feature', value: 'auto', description: 'libssh support')
option('libssh2', type: 'feature', value: 'auto', description: 'libssh2 support')
option('netcf', type: 'feature', value: 'auto', description: 'netcf support')
option('nls', type: 'feature', value: 'auto', description: 'nls support')
option('numactl', type: 'feature', value: 'auto', description: 'numactl support')
option('openwsman', type: 'feature', value: 'auto', description: 'openwsman support')
option('pciaccess', type: 'feature', value: 'auto', description: 'pciaccess support')
option('polkit', type: 'feature', value: 'auto', description: 'use PolicyKit for UNIX socket access checks')
option('readline', type: 'feature', value: 'auto', description: 'readline support')
option('sanlock', type: 'feature', value: 'auto', description: 'sanlock support')
option('sasl', type: 'feature', value: 'auto', description: 'sasl support')
option('selinux', type: 'feature', value: 'auto', description: 'selinux support')
option('selinux_mount', type: 'string', value: '', description: 'set SELinux mount point')
option('sshconfdir', type: 'string', value: '', description: 'directory for SSH client configuration')
# dep:pciaccess
option('udev', type: 'feature', value: 'auto', description: 'udev support')
# dep:driver_remote
option('wireshark_dissector', type: 'feature', value: 'auto', description: 'wireshark support')
option('wireshark_plugindir', type: 'string', value: '', description: 'wireshark plugins directory for use when installing wireshark plugin')


# build driver options
option('driver_bhyve', type: 'feature', value: 'auto', description: 'bhyve driver')
# dep:curl
option('driver_esx', type: 'feature', value: 'auto', description: 'esx driver')
# dep:openwsman
option('driver_hyperv', type: 'feature', value: 'auto', description: 'Hyper-V driver')
# dep:pciaccess dep:udev dep:driver_remote dep:driver_libvirtd
option('driver_interface', type: 'feature', value: 'auto', description: 'host interface driver')
# dep:driver_remote
option('driver_libvirtd', type: 'feature', value: 'auto', description: 'libvirtd driver')
# dep:driver_remote dep:driver_libvirtd
option('driver_libxl', type: 'feature', value: 'auto', description: 'libxenlight driver')
# dep:driver_remote dep:driver_libvirtd
option('driver_lxc', type: 'feature', value: 'auto', description: 'Linux Container driver')
# dep:curl dep:json_c dep:driver_remote dep:driver_libvirtd
option('driver_ch', type: 'feature', value: 'auto', description: 'Cloud-Hypervisor driver')
option('ch_user', type: 'string', value: '', description: 'username to run Cloud-Hypervisor system instance as')
option('ch_group', type: 'string', value: '', description: 'groupname to run Cloud-Hypervisor system instance as')
# dep:driver_remote dep:driver_libvirtd
option('driver_network', type: 'feature', value: 'auto', description: 'virtual network driver')
option('driver_openvz', type: 'feature', value: 'auto', description: 'OpenVZ driver')
# dep:json_c dep:driver_remote dep:driver_libvirtd
option('driver_qemu', type: 'feature', value: 'auto', description: 'QEMU/KVM driver')
option('qemu_user', type: 'string', value: '', description: 'username to run QEMU system instance as')
option('qemu_group', type: 'string', value: '', description: 'groupname to run QEMU system instance as')
option('qemu_moddir', type: 'string', value: '', description: 'set the directory where QEMU modules are located')
option('qemu_datadir', type: 'string', value: '', description: 'set the directory where QEMU shared data is located')
option('driver_remote', type: 'feature', value: 'auto', description: 'remote driver')
option('remote_default_mode', type: 'combo', choices: ['legacy', 'direct'], value: 'direct', description: 'remote driver default mode')
option('driver_secrets', type: 'feature', value: 'auto', description: 'local secrets management driver')
option('driver_test', type: 'feature', value: 'auto', description: 'test driver')
option('driver_vbox', type: 'feature', value: 'auto', description: 'VirtualBox XPCOMC driver')
option('vbox_xpcomc_dir', type: 'string', value: '', description: 'Location of directory containing VirtualBox XPCOMC library')
option('driver_vmware', type: 'feature', value: 'auto', description: 'VMware driver')
option('driver_vz', type: 'feature', value: 'auto', description: 'Virtuozzo driver')

option('secdriver_apparmor', type: 'feature', value: 'auto', description: 'use AppArmor security driver')
# dep:secdriver_apparmor
option('apparmor_profiles', type: 'feature', value: 'auto', description: 'install apparmor profiles')
# dep:selinux
option('secdriver_selinux', type: 'feature', value: 'auto', description: 'use SELinux security driver')


# storage driver options
option('storage_dir', type: 'feature', value: 'auto', description: 'directory backend for the storage driver')
option('storage_disk', type: 'feature', value: 'auto', description: 'GPartd Disk backend for the storage driver')
option('storage_fs', type: 'feature', value: 'auto', description: 'FileSystem backend for the storage driver')
option('storage_gluster', type: 'feature', value: 'auto', description: 'Gluster backend for the storage driver')
option('storage_iscsi', type: 'feature', value: 'auto', description: 'iscsi backend for the storage driver')
option('storage_iscsi_direct', type: 'feature', value: 'auto', description: 'iscsi-direct backend for the storage driver')
option('storage_lvm', type: 'feature', value: 'auto', description: 'LVM backend for the storage driver')
option('storage_mpath', type: 'feature', value: 'auto', description: 'mpath backend for the storage driver')
option('storage_rbd', type: 'feature', value: 'auto', description: 'RADOS Block Device backend for the storage driver')
option('storage_scsi', type: 'feature', value: 'auto', description: 'SCSI backend for the storage driver')
option('storage_vstorage', type: 'feature', value: 'auto', description: 'Virtuozzo storage backend for the storage driver')
option('storage_zfs', type: 'feature', value: 'auto', description: 'ZFS backend for the storage driver')


# build feature options
option('chrdev_lock_files', type: 'string', value: '', description: 'location for UUCP style lock files for character devices (leave empty for default paths on some platforms)')
option('dtrace', type: 'feature', value: 'auto', description: 'use dtrace for static probing')
option('firewalld', type: 'feature', value: 'auto', description: 'firewalld support')
# dep:firewalld
option('firewalld_zone', type: 'feature', value: 'auto', description: 'whether to install firewalld libvirt zone')
option('firewall_backend_priority', type: 'array', choices: ['nftables', 'iptables'], value: [], description: 'order in which to try firewall backends')
option('host_validate', type: 'feature', value: 'auto', description: 'build virt-host-validate')
option('init_script', type: 'combo', choices: ['systemd', 'openrc', 'check', 'none'], value: 'check', description: 'Style of init script to install')
option('loader_nvram', type: 'string', value: '', description: 'Pass list of pairs of <loader>:<nvram> paths. Both pairs and list items are separated by a colon.')
option('login_shell', type: 'feature', value: 'auto', description: 'build virt-login-shell')
# dep:json_c dep:driver_network dep:libvirtd
option('nss', type: 'feature', value: 'auto', description: 'enable Name Service Switch plugin for resolving guest IP addresses')
# dep:numactl
option('numad', type: 'feature', value: 'auto', description: 'use numad to manage CPU placement dynamically')
option('nbdkit', type: 'feature', value: 'auto', description: 'Build nbdkit storage backend')
# dep:nbdkit
option('nbdkit_config_default', type: 'feature', value: 'auto', description: 'Whether to use nbdkit storage backend for network disks by default (configurable)')
option('pm_utils', type: 'feature', value: 'auto', description: 'use pm-utils for power management')
option('ssh_proxy', type: 'feature', value: 'auto', description: 'Build ssh-proxy for ssh over vsock')
option('sysctl_config', type: 'feature', value: 'auto', description: 'Whether to install sysctl configs')
# dep:sysctl_config
option('userfaultfd_sysctl', type: 'feature', value: 'auto', description: 'Whether to install sysctl config for enabling unprivileged userfaultfd')
option('tls_priority', type: 'string', value: 'NORMAL', description: 'set the default TLS session priority string')

=== debian/changelog ===
libvirt (11.6.0-1ubuntu3) questing; urgency=medium

  * Support both GNU and Rust coreutils paths in apparmor policy (LP: #2123870)
    - d/p/u-aa/lp2123870-apparmor-use-the-coreutils-tunable-for-coreutils.patch

 -- Georgia Garcia <georgia.garcia@canonical.com>  Thu, 23 Sep 2025 15:53:13 -0300

libvirt (11.6.0-1ubuntu2) questing; urgency=medium

  [ Lukas Märdian ]
  * Default to qemu:///system libvirt URI (LP: #2027838)
    On Ubuntu we always want to initialize the URI to qemu:///system,
    regardless if running as privileged daemon or not. This keeps backward
    compatibility with Ubuntu's default behavior, while still allowing users
    more flexibility in changing that default, through config files or
    environment variables.
    - d/p/u/lp-2027838-conf-Default-to-qemu-system-libvirt-URI.patch
  * d/t/default-uri: add basic test for LIBVIRT_DEFAULT_URI handling
  * d/libvirt-clients.conffiles: Remove libvirt-uri.sh profile.d script
  * Drop Changes:
    - libvirt-uri.sh, d/rules: Automatically switch default libvirt URI
      for users via user profile (qemu:///system)

  [ Hector Cao ]
  * d/p/u-aa/lp2079869-* : virt-aa-helper: Avoid duplicate when append rule
    (LP: #2120278)

 -- Hector Cao <hector.cao@canonical.com>  Wed, 27 Aug 2025 10:18:49 +0200

libvirt (11.6.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian experimental (LP: #2115181). Remaining changes:
  * Remaining changes:
    - d/p/u-aa/lp2079869-*: allow access for bridge helper to sys node
      (LP 2079869)
    - d/*(post|pre)(rm|inst), d/*.install: drop generated files
    - Disable libssh2 support (universe dependency)
    - d/control: add libzfslinux-dev to build-deps
    - debian/patches/ubuntu/ovmf_paths.patch: adjust paths to secboot.fd UEFI
      Secure Boot enabled variants of the OVMF firmware and variable store for
      the paths where we ship these files in Ubuntu.
    - Set qemu-group to kvm (for compat with older ubuntu)
    - Additional apport package-hook
    - Autostart default bridged network (As upstream does, but not Debian).
      In addition to just enabling it our solution provides:
      + do not autostart if subnet is already taken (e.g. in guests).
      + iterate some alternative subnets before giving up
      + d/l-d-config-network.postinst: clear 'autostarted' state, to activate
        network on install (LP 2093864)
      + d/control: Add Breaks/Replaces, to account for the move of configuration
        of the default bridged network to libvirt-daemon-config-network.
        (LP 2107448)
      + d/t/network: Test automatic virbr0 setup via autopkgtest.
      + d/l-d-config-network.{pre,post}inst.in: diversions for network config.
      + d/l-d-config-network.{pre,post}inst.in: retain non pkg owned network
        config.
    - d/p/ubuntu/Allow-libvirt-group-to-access-the-socket.patch: This is
      the group based access to libvirt functions as it was used in Ubuntu
      for quite a long time.
      + d/p/ubuntu/daemon-augeas-fix-expected.patch fix some related tests
        due to the group access change.
      + d/libvirt-daemon-driver-qemu.postinst*: add users in sudo to the libvirt
        group.
    - Update README.Debian with Ubuntu changes
    - d/p/ubuntu/ubuntu_machine_type.patch: accept ubuntu types as pci440fx
    - fix autopkgtests (LP 1899180)
      + d/t/control, d/t/smoke-qemu-session: fixup smoke-qemu-session by making
        vmlinuz available and accessible (Debian bug 848314)
      + d/t/control: fix smoke-qemu-session by ensuring the service will run
        installing libvirt-daemon-system
      + d/t/smoke-lxc: fix smoke-lxc by ignoring potential issues on destroy as
        long as the following undefine succeeds
      + d/t/smoke-lxc: use systemd instead of sysV to restart the service
      + d/t/control, d/t/smoke-lxc: retry service restart and skip test if
        failing; This was flaky on some release/architectures
      + d/t/smoke-lxc: retry check_domain being flaky on arm64
    - dnsmasq related enhancements
      + run dnsmasq as libvirt-dnsmasq (LP 1743718)
      + d/libvirt-daemon-config-network.postinst*: add libvirt-dnsmasq user
        and group
      + d/libvirt-daemon-config-network.postrm*: remove libvirt-dnsmasq user
        and group
        on purge
      + d/p/ubuntu/dnsmasq-as-priv-user: write dnsmasq config with user
        libvirt-dnsmasq and adapt the self tests to expect that config
      + Add dnsmasq configuration to work with system wide dnsmasq-base
    - d/p/ubuntu/set-default-machine-to-ubuntu.patch: to select default
      machine type correctly with newer qemu/libvirt
    - d/p/ubuntu/lp-1861125-ubuntu-models: recognize Ubuntu models for
      (LP 1861125) fixups
    - d/p/ubuntu/wait-for-qemu-kvm.patch - avoid hangs on startup (LP 1887592)
    - d/libvirt-daemon-common.libvirt-guests.default: shut guests down
      in parallel
    - Apparmor Delta that is Ubuntu specific or yet to be upstreamed
      split into logical pieces. File names in debian/patches/ubuntu-aa/:
      + 0020-virt-aa-helper-ubuntu-storage-paths.patch:
        apparmor, virt-aa-helper: Allow various storage pools and image
        locations
      + 0029-appmor-libvirt-qemu-Add-9p-support.patch: appmor,
        libvirt-qemu: Add 9p support
      + 0031-virt-aa-helper-Ask-for-no-deny-rule-for-readonly-dis.patch:
        virt-aa-helper: Ask for no deny rule for readonly disk
      + 0032-apparmor-libvirt-qemu-Allow-reading-charm-specific-c.patch:
        apparmor, libvirt-qemu: Allow reading charm-specific ceph config
      + 0033-UBUNTU-only-apparmor-for-kvm.powerpc-LP-1680384.patch: allow
        commands executed by ubuntu only kvm wrapper on ppc64el
        (LP 1686621 LP 1680384 LP 1784023)
      + 0034-apparmor-virt-aa-helper-access-for-snapped-nova.patch:
        apparmor, virt-aa-helper: access for snapped nova
      + lp-1815910-allow-vhost-hotplug.patch: avoid apparmor issues


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
  Andrea Bolognani <eof@kiyuko.org>,
@@ -10,7 +11,6 @@
  dh-apparmor [linux-any],
  augeas-tools [linux-any],
  bash-completion,
- kmod [linux-any],
  libacl1-dev [linux-any],
  libapparmor-dev (>= 3.0.0) [linux-any],
  libattr1-dev [linux-any],
@@ -40,7 +40,6 @@
  libsasl2-dev,
  libselinux1-dev [linux-any],
  libssh-dev,
- libssh2-1-dev,
  libtasn1-6-dev,
  libtirpc-dev,
  libudev-dev [linux-any],
@@ -48,11 +47,8 @@
  libxen-dev [amd64 arm64],
  libxml2-dev,
  libxml2-utils,
- lvm2 [linux-any],
+ libzfslinux-dev [linux-amd64 linux-arm64 linux-armhf linux-i386 linux-ppc64el linux-s390x],
  meson,
- mount [linux-any],
- numad:native [linux-any],
- open-iscsi [linux-any],
  po-debconf,
  python3-docutils,
  python3:native,
@@ -155,6 +151,7 @@
  libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
  libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
  libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64],
+ libvirt-daemon-plugin-sanlock (= ${binary:Version}),
  libvirt-daemon-system (= ${binary:Version}),
 Conflicts:
  libvirt-daemon-system (<< 10.6.0-2~),
@@ -190,6 +187,7 @@
  dmidecode [amd64 arm64 armhf i386 riscv64 loong64 x32],
  gettext-base,
  iproute2,
+ kmod [linux-any],
  libvirt-common (= ${binary:Version}),
  libvirt0 (= ${binary:Version}),
  polkitd (>= 121+compat0.1-2),
@@ -286,17 +284,18 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- passt,
  swtpm,
  swtpm-tools,
 Suggests:
  numad,
+ passt,
 Enhances:
  qemu-kvm,
  qemu-system,
 Breaks:
  libvirt-clients (<< 6.9.0-2~),
  libvirt-daemon-system (<< 10.6.0-2~),
+ libvirt-daemon-config-network (<< 11.0.0-2ubuntu9~),
 Replaces:
  libvirt-clients (<< 6.9.0-2~),
  libvirt-daemon-system (<< 10.6.0-2~),
@@ -330,5 +329,3 @@
  libvirt-daemon (<< 6.9.0-2~),
  libvirt-daemon-system (<< 10.6.0-2~),
 Description: virtualization daemon - LXC connection driver
- libvirt exposes a long-term stable API that can be used to interact with
- various hypervisors. Its architecture is highly modular, with most features

=== debian/tests/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
  smoke-qemu-session,
 Depends:
  libvirt-clients,
- libvirt-daemon,
+ libvirt-daemon-system,
  libxml2-utils,
+ linux-image-amd64 [amd64] | linux-generic [amd64],
  qemu-kvm,
  qemu-system,
 Restrictions:
@@ -30,6 +31,7 @@
  allow-stderr,
  isolation-machine,
  needs-root,
+ skippable,
 
 Tests:
  build-test,
@@ -39,3 +41,24 @@
  pkg-config,
 Restrictions:
  allow-stderr,
+
+Tests:
+ network,
+Depends:
+ dnsmasq-base,
+ libvirt-clients,
+ libvirt-daemon,
+ libvirt-daemon-driver-qemu,
+Restrictions:
+ allow-stderr,
+ needs-root,
+
+Tests:
+ default-uri,
+Depends:
+ libvirt-clients,
+ libvirt-daemon,
+ libvirt-daemon-driver-qemu,
+Restrictions:
+ allow-stderr,
+ needs-root,

## libvirt 11.7.0

=== debian/changelog ===
libvirt (11.7.0-1) unstable; urgency=medium

  [ Nuri KÜÇÜKLER ]
  * [192b7f1] debconf: Add Turkish translation
    - Closes: #1110365

  [ Andrea Bolognani ]
  * [cc15910] New upstream version 11.7.0

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 01 Sep 2025 21:28:23 +0200

## libvirt 11.8.0

=== debian/changelog ===
libvirt (11.8.0-2) unstable; urgency=medium

  * [a17e07a] patches: Add backports
    - Fix building against Wireshark 4.6.0
    - Closes: #1118069

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 15 Oct 2025 14:29:57 +0200

libvirt (11.8.0-1) unstable; urgency=medium

  * [b4ab89e] New upstream version 11.8.0
  * [3e1d30b] upstream: Update keyring

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 03 Oct 2025 01:14:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
  Andrea Bolognani <eof@kiyuko.org>,
@@ -40,6 +39,7 @@
  libsasl2-dev,
  libselinux1-dev [linux-any],
  libssh-dev,
+ libssh2-1-dev,
  libtasn1-6-dev,
  libtirpc-dev,
  libudev-dev [linux-any],
@@ -47,7 +47,6 @@
  libxen-dev [amd64 arm64],
  libxml2-dev,
  libxml2-utils,
- libzfslinux-dev [linux-amd64 linux-arm64 linux-armhf linux-i386 linux-ppc64el linux-s390x],
  meson,
  po-debconf,
  python3-docutils,
@@ -151,7 +150,6 @@
  libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
  libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
  libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64],
- libvirt-daemon-plugin-sanlock (= ${binary:Version}),
  libvirt-daemon-system (= ${binary:Version}),
 Conflicts:
  libvirt-daemon-system (<< 10.6.0-2~),
@@ -284,18 +282,17 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ passt,
  swtpm,
  swtpm-tools,
 Suggests:
  numad,
- passt,
 Enhances:
  qemu-kvm,
  qemu-system,
 Breaks:
  libvirt-clients (<< 6.9.0-2~),
  libvirt-daemon-system (<< 10.6.0-2~),
- libvirt-daemon-config-network (<< 11.0.0-2ubuntu9~),
 Replaces:
  libvirt-clients (<< 6.9.0-2~),
  libvirt-daemon-system (<< 10.6.0-2~),
@@ -329,3 +326,7 @@
  libvirt-daemon (<< 6.9.0-2~),
  libvirt-daemon-system (<< 10.6.0-2~),
 Description: virtualization daemon - LXC connection driver
+ libvirt exposes a long-term stable API that can be used to interact with
+ various hypervisors. Its architecture is highly modular, with most features
+ implemented as optional drivers. It can be used from C as well as several
+ other programming languages, and it forms the basis of virtualization
